#include <bits/stdc++.h>

using namespace std;

bool isIn(char a, string s) {
  for(int i = 0 ; i < s.length() ; i++) {
    if(a == s[i]) return true;
  }
  return false;
}

int main() {

    ios_base::sync_with_stdio(false);
    cin.tie(0);
    cout.tie(0);

    string a, b;
    cin>>a;
    cin>>b;

    string Rec = "";
    int Counter = 0;
    int PrvoSlovoPos = -1, SledeceSlovoCounter = 0;
    char SledeceSlovo = b[0];
    for (int i = 0 ; i < a.length() ; i++) {
      if(SledeceSlovo == a[i]) {
        if (SledeceSlovoCounter == 0) {
          PrvoSlovoPos = i;
          SledeceSlovoCounter++;
          SledeceSlovo = b[SledeceSlovoCounter];
        }
        else if (SledeceSlovoCounter == b.length() - 1) {
          Counter++;
          a[PrvoSlovoPos] = '*';
          SledeceSlovoCounter = 0;
          SledeceSlovo = b[0];
        }
        else
        {
          SledeceSlovoCounter++;
          SledeceSlovo = b[SledeceSlovoCounter];
        }
      }
    }

    cout<<Counter<<"\n"<<a;

  return 0;
}